### Method

# WebKit2WebExtension DOMEventTarget dispatch_event

#### Declaration [src]

    gboolean
    webkit_dom_event_target_dispatch_event (
      WebKitDOMEventTarget* target,
      WebKitDOMEvent* event,
      GError** error
    )

#### Description

No description available.

Deprecated since: | 2.22
Use JavaScriptCore API instead.

#### Parameters

`event` | `WebKitDOMEvent`
| A `WebKitDOMEvent`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| A #gboolean.